Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8055448 Provide a way to specify JRE data model requirements in JNLP file
  3. JDK-8182548

Release Note: Set 32 or 64 bit JRE requirements in a JNLP file

    XMLWordPrintable

    Details

    • Subcomponent:
    • Verification:
      Verified

      Description

      Web Start applications can now specify requested JREs with their arch attributes, and select the first one available that matches, even if it is not the same arch (32 bit vs 64 bit) as the currently running JRE. For example, the JNLP content below would place first preference on 64 bit JDK8, and if not available, 32 bit JDK9:
      ```
      <resources arch="x86_64">
           <java version="1.8"/>
      </resources>
      <resources arch="x86">
          <java version="1.9"/>
      </resources>
      ```
      Note that in the above example, in order to launch a 64 bit 1.8 JRE, a 64 bit 9 JRE must be installed. If only a 32 bit 9 JRE is installed, the 64 bit 1.8 JRE is unavailable.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              herrick Andy Herrick
              Reporter:
              paulk Paul Klingaman (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: